org.apache.poi.hwmf.record

## Class HwmfFill.WmfBitBlt

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfFill.WmfStretchBlt
  - - org.apache.poi.hwmf.record.HwmfFill.WmfBitBlt

- All Implemented Interfaces:
    GenericRecord, HwmfRecord
  Enclosing class:
    HwmfFill

      public static class HwmfFill.WmfBitBlt
      extends HwmfFill.WmfStretchBlt

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfFill.WmfStretchBlt

      `dstBounds, rasterOperation, srcBounds, target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfBitBlt()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HwmfRecordType` | `getWmfRecordType()`
    `int` | `init(LittleEndianInputStream leis, long recordSize, int recordFunction)` Init record from stream

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfFill.WmfStretchBlt

      `draw, getDstBounds, getGenericProperties, getRasterOperation, getSrcBounds, getTarget, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hwmf.record.HwmfRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### WmfBitBlt

          public WmfBitBlt()

  - ### Method Detail

    - #### getWmfRecordType

          public HwmfRecordType getWmfRecordType()

      Specified by:
        `getWmfRecordType` in interface `HwmfRecord`
      Overrides:
        `getWmfRecordType` in class `HwmfFill.WmfStretchBlt`

    - #### init

          public int init(LittleEndianInputStream leis,
                          long recordSize,
                          int recordFunction)
                   throws java.io.IOException

      Description copied from interface: `HwmfRecord`
      Init record from stream
      Specified by:
        `init` in interface `HwmfRecord`
      Overrides:
        `init` in class `HwmfFill.WmfStretchBlt`
      Parameters:
        `leis` - the little endian input stream
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.